routes/web.php
    Route::post('/dang-nhap', 'IndexController@postLogin')->name('home.post-login');

    Route::get('/logout', 'IndexController@postLogout')->name('home.logout');

    Route::post('/quen-mat-khau', 'IndexController@getForgotPassword')->name('home.quen-mat-khau');

    Route::get('/resetPassword/{token}', 'IndexController@resetPassword')->name('home.resetPassword');

    Route::post('/new-password', 'IndexController@newPassword')->name('home.new-password');

    /*  Quản lý tài khoản  */
    Route::group(['middleware' => 'customer_auth'], function () {
        // Đăng nhập thành công
        Route::get('/san-pham', 'ProductsController@listProducts')->name('home.list-products');

        Route::post('add-cart', 'ProductsController@postAddCart')->name('home.post-add-cart');

        Route::get('get-add-cart', 'ProductsController@getAddCart')->name('home.get-add-cart');

        Route::get('gio-hang', 'ProductsController@gioHang')->name('home.gio-hang');

        Route::get('update-giohang', 'ProductsController@getUpdateCart')->name('home.update-giohang');

        Route::get('remove-card', 'ProductsController@getRemoveCart')->name('home.remove-card');

        Route::get('destroy-card', 'ProductsController@cartDestroy')->name('home.destroy-card');
        /*  Quản lý tài khoản  */
        Route::get('thong-tin-tai-khoan', 'ManagerAccountController@thongTinTaiKhoan')->name('home.thong-tin-tai-khoan');

        Route::post('cap-nhap-tai-khoan', 'ManagerAccountController@postUpdateAccount')->name('home.cap-nhap-tai-khoan');

        Route::post('cap-nhap-mat-khau', 'ManagerAccountController@postUpdatePassword')->name('home.cap-nhap-mat-khau');

        Route::get('tai-khoan-ngan-hang', 'ManagerAccountController@bankAccount')->name('home.tai-khoan-ngan-hang');

        Route::post('cap-nhap-tai-khoan-ngan-hang', 'ManagerAccountController@postBankAccount')->name('home.cap-nhap-tai-khoan-ngan-hang');

        Route::get('nap-tien', 'ManagerAccountController@napTien')->name('home.nap-tien');

        Route::post('post-nap-tien', 'ManagerAccountController@postNapTien')->name('home.post-nap-tien');

        Route::get('lich-su-giao-dich', 'ManagerAccountController@TransactionHistory')->name('home.lich-su-giao-dich');

        Route::get('/export','ManagerAccountController@export_Lichsu_Giaodich')->name('home.export-giaodich');

        Route::get('dat-hang','ManagerAccountController@datHang')->name('home.dat-hang');

        Route::get('lich-su-mua-hang','ManagerAccountController@lichSuMuaHang')->name('home.lich-su-mua-hang');

        Route::get('lich-su-mua-hang-dlcd','ManagerAccountController@lichSuMuaHangDaiLyCapDuoi')->name('home.lich-su-mua-hang-dlcd');

        Route::get('quan-ly-dai-ly','ManagerAccountController@quanLyDaiLy')->name('home.quan-ly-dai-ly');


        Route::get('doanh-thu','ManagerAccountController@doanh_Thu')->name('home.doanh-thu');

        Route::get('dang-ky-mua-hang','ManagerAccountController@dang_Ky_Mua_Hang')->name('home.dang-ky-mua-hang');

        
    });
    Route::get('chi-tiet-daily/{id}','ManagerAccountController@chi_Tiet_Dai_Ly')->name('home.chi-tiet-daily');

    Route::get('chi-tiet-don-hang/{id}','ManagerAccountController@chiTietDonHang')->name('home.chi-tiet-don-hang');

    Route::get('chi-tiet-daily-f1/{id}','ManagerAccountController@chi_Tiet_Dai_Ly_F1')->name('backend.chi-tiet-daily');

});


Route::group(['namespace' => 'Admin'], function () {

    Route::group(['prefix' => 'backend', 'middleware' => 'auth'], function () {
        Route::get('/home', 'HomeController@index')->name('backend.home');

        Route::resource('users', 'UserController', ['except' => [
            'show'
        ]]);

        Route::resource('image', 'ImageController', ['except' => [
            'show'
        ]]);
        Route::post('image/postMultiDel', ['as' => 'image.postMultiDel', 'uses' => 'ImageController@deleteMuti']);

        // tuyển dụng
        Route::resource('recruitment', 'RecruitmentController', ['except' => ['show']]);
        Route::post('recruitment/postMultiDel', ['as' => 'recruitment.postMultiDel', 'uses' => 'RecruitmentController@deleteMuti']);
        Route::get('recruitment/get-slug', 'RecruitmentController@getAjaxSlug')->name('recruitment.get-slug');

        // Bài viết
        Route::resource('posts', 'PostController', ['except' => ['show']]);
        Route::post('posts/postMultiDel', ['as' => 'posts.postMultiDel', 'uses' => 'PostController@deleteMuti']);
        Route::get('posts/get-slug', 'PostController@getAjaxSlug')->name('posts.get-slug');

        // Ảnh
        Route::resource('picture', 'PictureController', ['except' => ['show']]);
        Route::post('picture/postMultiDel', ['as' => 'picture.postMultiDel', 'uses' => 'PictureController@deleteMuti']);

        // Video
        Route::resource('video', 'VideoController', ['except' => ['show']]);
        Route::post('video/postMultiDel', ['as' => 'video.postMultiDel', 'uses' => 'VideoController@deleteMuti']);
        Route::get('video/get-slug', 'VideoController@getAjaxSlug')->name('video.get-slug');

        /*Danh mục sản phẩm*/
        Route::resource('category', 'CategoriesController', ['except' => ['show']]);
        
        /*Danh sách sản phẩm*/
        Route::resource('products', 'ProductsController', ['except' => ['show']]);
        Route::post('products/postMultiDel', ['as' => 'products.postMultiDel', 'uses' => 'ProductsController@deleteMuti']);
        Route::get('products/get-slug', 'ProductsController@getAjaxSlug')->name('products.get-slug');

        /*  Quản lý doanh thu  */
        Route::resource('orders', 'OrdersController', ['except' => ['show']]);

        Route::get('xac-nhan-don-hang', 'OrdersController@xacNhanDonHang')->name('orders.xac-nhan');

        Route::get('doanh-thu', 'OrdersController@doanhThu')->name('orders.doanh-thu');

        Route::get('chi-tiet-don-hang/{id}','OrdersController@chiTietDonHang')->name('orders.chi-tiet-don-hang');
        
        // Route::get('tao-don-hang-thu-cong', 'OrdersController@taoDonHangThuCong')->name('orders.tao-don-hang-thu-cong');
        // Route::post('post-check-user', 'OrdersController@postCheckUser')->name('orders.post-check-user');

        Route::get('get-products', 'OrdersController@getProducts')->name('orders.get-products');

        Route::get('tao-don-hang', 'OrdersController@createOrder')->name('orders.tao-don-hang');

        Route::post('post-tao-don-hang-thu-cong', 'OrdersController@postTaoDonHangThuCong')->name('orders.post-tao-don-hang-thu-cong');




        Route::get('bang-luong', 'MemberController@bang_Luong')->name('orders.bang-luong');

        Route::post('xuat-bang-luong', 'MemberController@export_Bang_Luong')->name('orders.export-bang-luong');

        Route::get('chi-tiet-luong/{id}', 'MemberController@chi_Tiet_Luong')->name('orders.chi-tiet-luong');
        Route::post('xac-nhan-luong', 'MemberController@xac_Nhan_Luong')->name('orders.xac-nhan-luong');
        /*  Quản lý nạp tiền  */
        Route::resource('recharge', 'RechargeController', ['except' => ['show']]);
        Route::post('recharge/postMultiDel', ['as' => 'recharge.postMultiDel', 'uses' => 'RechargeController@deleteMuti']);
        Route::get('recharge/update-money', ['as' => 'recharge.update-money', 'uses' => 'RechargeController@update_Money']);
        Route::get('recharge/xac-nhan', ['as' => 'recharge.xac-nhan', 'uses' => 'RechargeController@xac_nhan_chuyen_tien']);

        /*  Quản lý thành viên  */
        Route::resource('member', 'MemberController', ['except' => ['show']]);
        Route::get('member/lock/{id}', 'MemberController@lockMember')->name('member.lock');
        Route::get('member/unlock/{id}', 'MemberController@unlocklockMember')->name('member.unlock');
        Route::get('member/filterdate', 'MemberController@filterDate')->name('member.filterdate');
        Route::get('member/rank', 'MemberController@rankMember')->name('member.rank');
        Route::get('member/rank/add', 'MemberController@addRankMember')->name('member.addrank');
        Route::post('member/rank/postadd', 'MemberController@postAddRankMember')->name('member.postaddrank');
        Route::get('member/xac-nhan/{id}', 'MemberController@member_Xacnhan')->name('member.xac-nhan');

        Route::post('member/cap-nhap-mat-khau', 'MemberController@update_Password')->name('member.cap-nhap-mat-khau');

        Route::get('member/dai-ly-cap-duoi/{id}', 'MemberController@dai_Ly_Cap_Duoi')->name('member.dai-ly-cap-duoi');

        Route::get('member/detail/{id}', 'MemberController@member_Detail')->name('member.detail');

        Route::post('member/cap-nhap-cap-bac/{id}', 'MemberController@update_Rank')->name('member.update-rank');

        Route::post('member/export', 'MemberController@export_member')->name('member.export');

        Route::get('chi-tiet-don-hang/{id}','MemberController@chiTietDonHang')->name('home.chi-tiet-don-hang');

        Route::get('chiet-khau-tu-don-hang/{id}','MemberController@chietKhauDonHang')->name('member.chiet-khau-tu-don-hang');



        /*  Quản lý doanh thu  */
        Route::resource('config', 'ConfigController', ['except' => ['show']]);

        Route::get('config/quyen-loi', 'ConfigController@lisQuyenLoi')->name('config.quyenloi');

        Route::post('config/updatequyen-loi', 'ConfigController@updateQuyenloi')->name('config.update-quyenloi');

        Route::resource('banks', 'BanksController', ['except' => ['show']]);

        // Đơn ứng tuyển
        Route::group(['prefix' => 'apply-job'], function() {
            Route::get('/', ['as' => 'get.list.job', 'uses' => 'ApplyJobController@getList']);
            Route::get('edit/{id}', ['as' => 'get.edit.job', 'uses' => 'ApplyJobController@getEdit']);
            Route::post('edit/{id}', ['as' => 'post.edit.job', 'uses' => 'ApplyJobController@postEdit']);
            Route::post('/delete-muti', ['as' => 'apply-job.postMultiDel', 'uses' => 'ApplyJobController@postDeleteMuti']);

resources/views/backend/layouts/datatables_css.blade.php
<!-- DataTable Bootstrap -->
<link href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.3.1/css/buttons.bootstrap.min.css">

resources/views/backend/layouts/datatables_js.blade.php
<!-- Datatables -->
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.3.1/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.3.1/js/buttons.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.3.1/js/buttons.colVis.min.js"></script>
<script src="{{ asset('vendor/datatables/buttons.server-side.js') }}"></script>

resources/views/backend/layouts/menu.blade.php
<!-- <li class="header">TRANG QUẢN TRỊ</li> -->

<li class="header" style="font-size: 16px">KẾ TOÁN</li>

<!-- <li class="treeview {{ Request::segment(2) === 'category' || Request::segment(2) === 'products' ? 'active' : null }}">

    <a href="#">

        <i class="fa fa-building" aria-hidden="true"></i> <span>Sản phẩm</span>

        <span class="pull-right-container">

        <i class="fa fa-angle-left pull-right"></i>

        </span>

    </a>

    <ul class="treeview-menu">

        <li class="{{ Request::segment(2) === 'products' ? 'active' : null }}">

            <a href="{{ route('products.index') }}"><i class="fa fa-circle-o"></i> Danh sách sản phẩm</a>

        </li>

    </ul>

</li> -->



<li class="treeview {{ Request::route()->getName() == 'member.index' || Request::route()->getName() == 'recharge.index' ? 'active'  : null }}">

    <a href="#">

        <i class="fa fa-building" aria-hidden="true"></i> <span>Đại lý</span>

        <span class="pull-right-container">

        <i class="fa fa-angle-left pull-right"></i>

        </span>

    </a>

    <ul class="treeview-menu">

        <li class="{{ Request::route()->getName() == 'member.index' ? 'active' : null }}">

            <a href="{{ route('member.index') }}"><i class="fa fa-circle-o"></i> Danh sách đại lý</a>

        </li>

        <li class="{{ Request::route()->getName() == 'recharge.index' ? 'active' : null }}">

            <a href="{{ route('recharge.index') }}"><i class="fa fa-circle-o"></i> Danh sách chuyển tiền</a>

        </li>

    </ul>

</li>



<li class="treeview {{ Request::route()->getName() == 'orders.index' || Request::route()->getName() == 'orders.doanh-thu' || Request::route()->getName() == 'orders.bang-luong' || Request::route()->getName() == 'orders.chi-tiet-luong' || Request::route()->getName() == 'orders.edit' || Request::route()->getName() == 'orders.tao-don-hang-thu-cong' ? 'active'  : null }}">

    <a href="#">

        <i class="fa fa-building" aria-hidden="true"></i> <span>Quản lý doanh thu</span>

        <span class="pull-right-container">

        <i class="fa fa-angle-left pull-right"></i>

        </span>

    </a>

    <ul class="treeview-menu">

        <li class="{{ Request::route()->getName() == 'orders.index' || Request::route()->getName() == 'orders.edit' ? 'active' : null }}">

            <a href="{{ route('orders.index') }}"><i class="fa fa-circle-o"></i> Đơn hàng</a>

        </li>

        <li class="{{ Request::route()->getName() == 'orders.tao-don-hang-thu-cong' ? 'active' : null }}">

            <a href="{{ route('orders.tao-don-hang') }}"><i class="fa fa-circle-o"></i> Đơn hàng thủ công</a>

        </li>

        <li class="{{  Request::route()->getName() == 'orders.doanh-thu' ? 'active' : null }}">

            <a href="{{ route('orders.doanh-thu') }}"><i class="fa fa-circle-o"></i> Lịch sử nhận hoa hồng</a>

        </li>

        <li class="{{ Request::route()->getName() == 'orders.bang-luong' || Request::route()->getName() == 'orders.chi-tiet-luong' ? 'active' : null }}">

            <a href="{{ route('orders.bang-luong') }}"><i class="fa fa-circle-o"></i> Bảng lương</a>

        </li>

        

    </ul>

</li>

<li class="{{ Request::segment(2) == 'products' ? 'active' : null  }}">

    <a href="{{ route('products.index') }}">

        <i class="fa fa-tags" aria-hidden="true"></i> <span>Sản phẩm</span>

    </a>

</li>

<li class="treeview {{ Request::segment(2) === 'config' || Request::segment(2) === 'banks' ? 'active' : null }}">

    <a href="#">

        <i class="fa fa-building" aria-hidden="true"></i> <span>Cài đặt</span>

        <span class="pull-right-container">

        <i class="fa fa-angle-left pull-right"></i>

        </span>

    </a>

    <ul class="treeview-menu">

        <li class="{{ Request::segment(2) === 'banks' ? 'active' : null }}">
            <a href="{{ route('banks.index') }}"><i class="fa fa-circle-o"></i> Tài khoản ngân hàng</a>
        </li>

        <li class="{{ Request::route()->getName() == 'config.index' || Request::route()->getName() == 'config.create' ? 'active' : null }}">

            <a href="{{ route('config.index') }}"><i class="fa fa-circle-o"></i> Cấp bậc đại lý</a>

        </li>

        <li class="{{ Request::route()->getName() == 'config.quyenloi' || Request::route()->getName() == 'config.update' ? 'active' : null }}">

            <a href="{{ route('config.quyenloi') }}"><i class="fa fa-circle-o"></i> Quyền lợi đại lý</a>

        </li>

    </ul>

</li>

<li class="header" style="font-size: 16px;">QUẢN TRỊ WEB</li>
<li class="{{ Request::segment(2) == 'home' ? 'active' : null  }}">

    <a href="{{ route('backend.home') }}">

        <i class="fa fa-home"></i> <span>Trang chủ</span>

    </a>

</li>

<li class="{{ Request::segment(2) == 'users' ? 'active' : null  }}">

    <a href="{{ route('users.index') }}">

        <i class="fa fa-user"></i> <span>Tài khoản</span>

    </a>

</li>



<li class="treeview {{ Request::segment(2) === 'picture' || Request::segment(2) === 'video' ? 'active' : null }}">

    <a href="#">

        <i class="fa fa-building" aria-hidden="true"></i> <span>Hình ảnh video</span>

        <span class="pull-right-container">

        <i class="fa fa-angle-left pull-right"></i>

        </span>

    </a>

    <ul class="treeview-menu">

        <li class="{{ Request::segment(2) === 'picture' ? 'active' : null }}">

            <a href="{{ route('picture.index') }}"><i class="fa fa-circle-o"></i> Danh sách hình ảnh</a>

        </li>

        <li class="{{ Request::segment(2) === 'video' ? 'active' : null }}">

            <a href="{{ route('video.index') }}"><i class="fa fa-circle-o"></i> Danh sách video</a>

        </li>

    </ul>

</li>



<li class="{{ Request::segment(2) == 'recruitment' ? 'active' : null  }}">

    <a href="{{ route('recruitment.index') }}">

        <i class="fa fa-tags" aria-hidden="true"></i> <span>Tuyển dụng</span>

    </a>

</li>



<li class="{{ Request::segment(2) == 'apply-job' ? 'active' : null  }}">

    <a href="{{ route('get.list.job') }}">

        <i class="fa fa-tags" aria-hidden="true"></i> <span>Danh sách đơn ứng tuyển</span>

    </a>

</li>



<li class="{{ Request::segment(2) == 'posts' ? 'active' : null  }}">

    <a href="{{ route('posts.index', ['type'=> 'blog']) }}">

        <i class="fa fa-tags" aria-hidden="true"></i> <span>Bài viết</span>

    </a>

</li>



<li class="{{ Request::segment(2) == 'pages' ? 'active' : null  }}">

    <a href="{{ route('pages.list') }}">

        <i class="fa fa-paper-plane" aria-hidden="true"></i> <span>Cài đặt trang</span>

    </a>

</li>

<li class="{{ Request::segment(2) == 'contact' ? 'active' : null  }}">

    <?php $number = \App\Models\Contact::where('status', 0)->count() ?>

    <a href="{{ route('get.list.contact') }}">

        <i class="fa fa-bell" aria-hidden="true"></i> <span>Liên hệ ({{ $number }})

        </span>

    </a>

</li>



<li class="header">CẤU HÌNH HỆ THỐNG</li>

<li class="treeview {{ Request::segment(2) === 'options' || Request::segment(2) === 'images' || Request::segment(2) === 'menu' || Request::segment(2) === 'banks' ? 'active' : null }}">

    <a href="#">

        <i class="fa fa-cog" aria-hidden="true"></i> <span>Cấu hình</span>

        <span class="pull-right-container">

        <i class="fa fa-angle-left pull-right"></i>

        </span>

    </a>

    <ul class="treeview-menu">



         <li class="{{ Request::segment(3) === 'general' ? 'active' : null }}">

            <a href="{{ route('backend.options.general') }}"><i class="fa fa-circle-o"></i> Cấu hình chung</a>

        </li>

        <li class="{{ request()->get('type') == 'slider' ? 'active' : null }}">

            <a href="{{ route('image.index', ['type'=> 'slider']) }}"><i class="fa fa-circle-o"></i> Slider</a>

        </li>



        <li class="{{ request()->get('type') == 'partner' ? 'active' : null }}">

            <a href="{{ route('image.index', ['type'=> 'partner']) }}"><i class="fa fa-circle-o"></i> Đối tác</a>

        </li> 

        <li class="{{ Request::segment(2) === 'menu' ? 'active' : null }}">

            <a href="{{ route('setting.menu') }}"><i class="fa fa-circle-o"></i> Menu</a>

        </li>

        

    </ul>

</li>

<div style="display: none;">

    <li class="header">Cấu hình hệ thống</li>

    <li class="treeview {{ Request::segment(2) == 'options' ? 'active' : null  }}">

        <a href="#">

            <i class="fa fa-folder"></i> <span>Setting (Developer)</span>

            <span class="pull-right-container">

                <i class="fa fa-angle-left pull-right"></i>

            </span>

        </a>

        <ul class="treeview-menu">

            <li class="{{ Request::segment(3) == 'developer-config' ? 'active' : null  }}">

                <a href="{{ route('backend.options.developer-config') }}"><i class="fa fa-circle-o"></i> Developer - Config</a>

            </li>

        </ul>

    </li>

</div>

resources/views/backend/layouts/modal-confim-delete.blade.php
<!-- modal confim delete -->
<div class="modal fade" id="confim" tabindex="-1" role="dialog" aria-hidden="true">
    <form action="" id="form-destroy" method="POST">
        {!! method_field('delete') !!}
        <input type="hidden" name="_token" value="{!! csrf_token() !!}">
        <div class="modal-dialog modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Thông báo</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h4>Bạn có chắc chắn muốn xóa ?</h4>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                    <button type="submit" class="btn btn-primary">Xóa</button>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- end -->

resources/views/backend/layouts/sidebar.blade.php
<aside class="main-sidebar" id="sidebar-wrapper">

    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">

        <!-- Sidebar user panel (optional) -->
        <div class="user-panel">
            <div class="pull-left image">
                @if (!empty( Auth::user()->image ))
                    <img src="{{ Auth::user()->image }}" class="user-image" alt=""/>
                @else
                    <img src="http://infyom.com/images/logo/blue_logo_150x150.jpg" class="user-image" alt=""/>
                @endif
            </div>
            <div class="pull-left info">
                @if (Auth::guest())
                <p>Admin</p>
                @else
                    <p>{{ Auth::user()->name}}</p>
                @endif
                <!-- Status -->
                <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
            </div>
        </div>

        <ul class="sidebar-menu" data-widget="tree">
            @include('backend.layouts.menu')
        </ul>
        <!-- /.sidebar-menu -->
    </section>
    <!-- /.sidebar -->
</aside>